summaryrefslogtreecommitdiff
path: root/scripts/mcomp
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/mcomp')
-rwxr-xr-xscripts/mcomp28
1 files changed, 28 insertions, 0 deletions
diff --git a/scripts/mcomp b/scripts/mcomp
new file mode 100755
index 0000000..f541eb8
--- /dev/null
+++ b/scripts/mcomp
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# Copyright 1996,1997,2001,2002,2006,2010 Alain Knaff.
+# This file is part of mtools.
+#
+# Mtools is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Mtools is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Mtools. If not, see <http://www.gnu.org/licenses/>.
+
+if [ $# -lt 2 ]; then
+ echo "usage: $0 dosfile [cmpoptions] unixfile"
+ exit 1
+fi
+
+dosfile=$1
+shift
+
+mcopy $dosfile - | cmp "$@"
+